org.apache.olingo.commons.api.data

## Class Operation

- java.lang.Object
- - org.apache.olingo.commons.api.data.Operation

-     public class Operation
      extends Object

  Data representation for an operation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Operation.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMetadataAnchor()` Gets metadata anchor.
    `URI` | `getTarget()` Gets target.
    `String` | `getTitle()` Gets title.
    `Operation.Type` | `getType()` Gets the Operation Type
    `void` | `setMetadataAnchor(String metadataAnchor)` Sets metadata anchor.
    `void` | `setTarget(URI target)` Sets target.
    `void` | `setTitle(String title)` Sets title.
    `void` | `setType(Operation.Type type)` Set the Operation type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Operation

          public Operation()

  - ### Method Detail

    - #### getMetadataAnchor

          public String getMetadataAnchor()

      Gets metadata anchor.
      Returns:
        metadata anchor.

    - #### setMetadataAnchor

          public void setMetadataAnchor(String metadataAnchor)

      Sets metadata anchor.
      Parameters:
        `metadataAnchor` - metadata anchor.

    - #### getTitle

          public String getTitle()

      Gets title.
      Returns:
        title.

    - #### setTitle

          public void setTitle(String title)

      Sets title.
      Parameters:
        `title` - title.

    - #### getTarget

          public URI getTarget()

      Gets target.
      Returns:
        target.

    - #### setTarget

          public void setTarget(URI target)

      Sets target.
      Parameters:
        `target` - target.

    - #### getType

          public Operation.Type getType()

      Gets the Operation Type
      Returns:

    - #### setType

          public void setType(Operation.Type type)

      Set the Operation type
      Parameters:
        `type` -

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.